---
triple:          'x86_64-apple-darwin'
binary-path:     '/Users/jenkins/workspace/Build_JDK25_x86-64_mac_Nightly/build/macosx-x86_64-server-release/support/test/hotspot/jtreg/native/lib/libattach042Agent00.dylib'
relocations:
  - { offsetInCU: 0x46, offset: 0x46, size: 0x8, addend: 0x0, symName: __Z14TranslateStatei, symObjAddr: 0x14E0, symBinAddr: 0x2F00, symSize: 0x320 }
  - { offsetInCU: 0x71, offset: 0x71, size: 0x8, addend: 0x0, symName: __ZZ14TranslateStateiE3str, symObjAddr: 0x59E60, symBinAddr: 0xC0A0, symSize: 0x0 }
  - { offsetInCU: 0x715, offset: 0x715, size: 0x8, addend: 0x0, symName: _g_szTagInfo, symObjAddr: 0x5A200, symBinAddr: 0xC320, symSize: 0x0 }
  - { offsetInCU: 0x73C, offset: 0x73C, size: 0x8, addend: 0x0, symName: _g_tagFlags, symObjAddr: 0x5C140, symBinAddr: 0xE260, symSize: 0x0 }
  - { offsetInCU: 0x75E, offset: 0x75E, size: 0x8, addend: 0x0, symName: _g_tagVisitCount, symObjAddr: 0x5C530, symBinAddr: 0xE650, symSize: 0x0 }
  - { offsetInCU: 0x780, offset: 0x780, size: 0x8, addend: 0x0, symName: _g_refsToVerifyCnt, symObjAddr: 0x5D4D0, symBinAddr: 0xF5F0, symSize: 0x0 }
  - { offsetInCU: 0x795, offset: 0x795, size: 0x8, addend: 0x0, symName: _g_refsToVerify, symObjAddr: 0x5D4E0, symBinAddr: 0xF600, symSize: 0x0 }
  - { offsetInCU: 0x8E2C, offset: 0x8E2C, size: 0x8, addend: 0x0, symName: __ZL11nsk_context.0, symObjAddr: 0x59E50, symBinAddr: 0xC090, symSize: 0x0 }
  - { offsetInCU: 0x8E37, offset: 0x8E37, size: 0x8, addend: 0x0, symName: __ZL11nsk_context.1, symObjAddr: 0x59E54, symBinAddr: 0xC094, symSize: 0x0 }
  - { offsetInCU: 0x8E42, offset: 0x8E42, size: 0x8, addend: 0x0, symName: __ZL11nsk_context.2, symObjAddr: 0x59E58, symBinAddr: 0xC098, symSize: 0x0 }
  - { offsetInCU: 0x8E87, offset: 0x8E87, size: 0x8, addend: 0x0, symName: __ZL7context, symObjAddr: 0x59FB0, symBinAddr: 0xC1D0, symSize: 0x0 }
  - { offsetInCU: 0x8EF4, offset: 0x8EF4, size: 0x8, addend: 0x0, symName: __ZL17redefineAttempted, symObjAddr: 0x5A068, symBinAddr: 0xC288, symSize: 0x0 }
  - { offsetInCU: 0x8F12, offset: 0x8F12, size: 0x8, addend: 0x0, symName: __ZL15redefineSucceed, symObjAddr: 0x5A06C, symBinAddr: 0xC28C, symSize: 0x0 }
  - { offsetInCU: 0x8F2B, offset: 0x8F2B, size: 0x8, addend: 0x0, symName: __ZL11agentFailed, symObjAddr: 0x5A070, symBinAddr: 0xC290, symSize: 0x0 }
  - { offsetInCU: 0x8F44, offset: 0x8F44, size: 0x8, addend: 0x0, symName: __ZL18currentAgentStatus, symObjAddr: 0x5A074, symBinAddr: 0xC294, symSize: 0x0 }
  - { offsetInCU: 0x8F5D, offset: 0x8F5D, size: 0x8, addend: 0x0, symName: __ZL9jvmti_env, symObjAddr: 0x5A078, symBinAddr: 0xC298, symSize: 0x0 }
  - { offsetInCU: 0x8F76, offset: 0x8F76, size: 0x8, addend: 0x0, symName: __ZL10agent_data, symObjAddr: 0x5A080, symBinAddr: 0xC2A0, symSize: 0x0 }
  - { offsetInCU: 0x8FFF, offset: 0x8FFF, size: 0x8, addend: 0x0, symName: __ZL3jvm, symObjAddr: 0x5A090, symBinAddr: 0xC2B0, symSize: 0x0 }
  - { offsetInCU: 0x9018, offset: 0x9018, size: 0x8, addend: 0x0, symName: __ZL7jni_env, symObjAddr: 0x5A098, symBinAddr: 0xC2B8, symSize: 0x0 }
  - { offsetInCU: 0x9031, offset: 0x9031, size: 0x8, addend: 0x0, symName: __ZL15agentThreadProc, symObjAddr: 0x5A0A0, symBinAddr: 0xC2C0, symSize: 0x0 }
  - { offsetInCU: 0x904A, offset: 0x904A, size: 0x8, addend: 0x0, symName: __ZL14agentThreadArg, symObjAddr: 0x5A0A8, symBinAddr: 0xC2C8, symSize: 0x0 }
  - { offsetInCU: 0x9063, offset: 0x9063, size: 0x8, addend: 0x0, symName: __ZL11agentThread, symObjAddr: 0x5A0B0, symBinAddr: 0xC2D0, symSize: 0x0 }
  - { offsetInCU: 0x907D, offset: 0x907D, size: 0x8, addend: 0x0, symName: __ZL16checkStatus_func, symObjAddr: 0x5A0B8, symBinAddr: 0xC2D8, symSize: 0x0 }
  - { offsetInCU: 0x9163, offset: 0x9163, size: 0x8, addend: 0x0, symName: __ZL13internalError, symObjAddr: 0x5A0FC, symBinAddr: 0xC2EC, symSize: 0x0 }
  - { offsetInCU: 0x917C, offset: 0x917C, size: 0x8, addend: 0x0, symName: __ZL14targetAppClass, symObjAddr: 0x5A100, symBinAddr: 0xC2F0, symSize: 0x0 }
  - { offsetInCU: 0x9195, offset: 0x9195, size: 0x8, addend: 0x0, symName: __ZL17agentLoadedMethod, symObjAddr: 0x5A108, symBinAddr: 0xC2F8, symSize: 0x0 }
  - { offsetInCU: 0x91AE, offset: 0x91AE, size: 0x8, addend: 0x0, symName: __ZL19agentFinishedMethod, symObjAddr: 0x5A110, symBinAddr: 0xC300, symSize: 0x0 }
  - { offsetInCU: 0x91C7, offset: 0x91C7, size: 0x8, addend: 0x0, symName: __ZL9agentName, symObjAddr: 0x5A120, symBinAddr: 0xC310, symSize: 0x0 }
  - { offsetInCU: 0x91E0, offset: 0x91E0, size: 0x8, addend: 0x0, symName: __ZL7options, symObjAddr: 0x5A128, symBinAddr: 0xC318, symSize: 0x0 }
  - { offsetInCU: 0x9232, offset: 0x9232, size: 0x8, addend: 0x0, symName: _nsk_vprintf, symObjAddr: 0x500, symBinAddr: 0x2960, symSize: 0x80 }
  - { offsetInCU: 0x92C7, offset: 0x92C7, size: 0x8, addend: 0x0, symName: _nsk_printf, symObjAddr: 0x450, symBinAddr: 0x28B0, symSize: 0xB0 }
  - { offsetInCU: 0x9322, offset: 0x9322, size: 0x8, addend: 0x0, symName: _nsk_ldisplay, symObjAddr: 0x330, symBinAddr: 0x27B0, symSize: 0x100 }
  - { offsetInCU: 0x95B5, offset: 0x95B5, size: 0x8, addend: 0x0, symName: _nsk_lvcomplain, symObjAddr: 0x640, symBinAddr: 0x29E0, symSize: 0x220 }
  - { offsetInCU: 0x979A, offset: 0x979A, size: 0x8, addend: 0x0, symName: _nsk_lcomplain, symObjAddr: 0x860, symBinAddr: 0x2C00, symSize: 0xA0 }
  - { offsetInCU: 0x984D, offset: 0x984D, size: 0x8, addend: 0x0, symName: _nsk_ltrace, symObjAddr: 0x920, symBinAddr: 0x2CA0, symSize: 0x110 }
  - { offsetInCU: 0x9943, offset: 0x9943, size: 0x8, addend: 0x0, symName: _nsk_lverify, symObjAddr: 0xAC0, symBinAddr: 0x2DB0, symSize: 0x150 }
  - { offsetInCU: 0x9AA0, offset: 0x9AA0, size: 0x8, addend: 0x0, symName: __Z14TranslateError10jvmtiError, symObjAddr: 0x1830, symBinAddr: 0x3220, symSize: 0x30 }
  - { offsetInCU: 0x9C05, offset: 0x9C05, size: 0x8, addend: 0x0, symName: __Z23nsk_jni_check_exceptionP7JNIEnv_PKci, symObjAddr: 0x1CC0, symBinAddr: 0x3250, symSize: 0x150 }
  - { offsetInCU: 0x9DFD, offset: 0x9DFD, size: 0x8, addend: 0x0, symName: __Z15nsk_jni_lverifyiP7JNIEnv_iPKciS2_z, symObjAddr: 0x1E10, symBinAddr: 0x33A0, symSize: 0x160 }
  - { offsetInCU: 0x9F9D, offset: 0x9F9D, size: 0x8, addend: 0x0, symName: _nsk_jvmti_lverify, symObjAddr: 0x29F0, symBinAddr: 0x3500, symSize: 0x1B0 }
  - { offsetInCU: 0xA1B8, offset: 0xA1B8, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_ArgumentHandler_getAgentOptionsString, symObjAddr: 0x2BA0, symBinAddr: 0x36B0, symSize: 0xA0 }
  - { offsetInCU: 0xA287, offset: 0xA287, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_RedefineAgent_redefineAttempted, symObjAddr: 0x2F10, symBinAddr: 0x3750, symSize: 0x20 }
  - { offsetInCU: 0xA2BE, offset: 0xA2BE, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_RedefineAgent_isRedefined, symObjAddr: 0x2F30, symBinAddr: 0x3770, symSize: 0x20 }
  - { offsetInCU: 0xA2F5, offset: 0xA2F5, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_RedefineAgent_agentStatus, symObjAddr: 0x2F50, symBinAddr: 0x3790, symSize: 0x20 }
  - { offsetInCU: 0xA464, offset: 0xA464, size: 0x8, addend: 0x0, symName: _nsk_jvmti_resetAgentData, symObjAddr: 0x3660, symBinAddr: 0x37B0, symSize: 0x1A0 }
  - { offsetInCU: 0xA780, offset: 0xA780, size: 0x8, addend: 0x0, symName: _nsk_jvmti_createJVMTIEnv, symObjAddr: 0x3800, symBinAddr: 0x3950, symSize: 0x130 }
  - { offsetInCU: 0xA930, offset: 0xA930, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_DebugeeClass_checkStatus, symObjAddr: 0x3DD0, symBinAddr: 0x3A80, symSize: 0x80 }
  - { offsetInCU: 0xA9F9, offset: 0xA9F9, size: 0x8, addend: 0x0, symName: __ZL18syncDebuggeeStatusP7JNIEnv_P9_jvmtiEnvi, symObjAddr: 0x3E50, symBinAddr: 0x3B00, symSize: 0x6A0 }
  - { offsetInCU: 0xB58E, offset: 0xB58E, size: 0x8, addend: 0x0, symName: __ZN7JNIEnv_9NewObjectEP7_jclassP10_jmethodIDz, symObjAddr: 0xB310, symBinAddr: 0x5510, symSize: 0xB0 }
  - { offsetInCU: 0xB605, offset: 0xB605, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_DebugeeClass_resetAgentData, symObjAddr: 0x44F0, symBinAddr: 0x41A0, symSize: 0x70 }
  - { offsetInCU: 0xB6A1, offset: 0xB6A1, size: 0x8, addend: 0x0, symName: _MA_checkStatus, symObjAddr: 0x5200, symBinAddr: 0x4210, symSize: 0xA0 }
  - { offsetInCU: 0xB7AC, offset: 0xB7AC, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_resetTags, symObjAddr: 0x6030, symBinAddr: 0x42B0, symSize: 0x40 }
  - { offsetInCU: 0xB8A2, offset: 0xB8A2, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_setTag, symObjAddr: 0x6070, symBinAddr: 0x42F0, symSize: 0x2B0 }
  - { offsetInCU: 0xBC48, offset: 0xBC48, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_getTag, symObjAddr: 0x6320, symBinAddr: 0x45A0, symSize: 0xC0 }
  - { offsetInCU: 0xBD8E, offset: 0xBD8E, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_resetRefsToVerify, symObjAddr: 0x63E0, symBinAddr: 0x4660, symSize: 0x10 }
  - { offsetInCU: 0xBE50, offset: 0xBE50, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_addRefToVerify, symObjAddr: 0x63F0, symBinAddr: 0x4670, symSize: 0x220 }
  - { offsetInCU: 0xC14D, offset: 0xC14D, size: 0x8, addend: 0x0, symName: _nsk_free_options, symObjAddr: 0x9C30, symBinAddr: 0x4890, symSize: 0x150 }
  - { offsetInCU: 0xC210, offset: 0xC210, size: 0x8, addend: 0x0, symName: _nsk_aod_createOptions, symObjAddr: 0x9D80, symBinAddr: 0x49E0, symSize: 0x3C0 }
  - { offsetInCU: 0xC545, offset: 0xC545, size: 0x8, addend: 0x0, symName: _nsk_aod_getOptionValue, symObjAddr: 0xA220, symBinAddr: 0x4DA0, symSize: 0xF0 }
  - { offsetInCU: 0xC647, offset: 0xC647, size: 0x8, addend: 0x0, symName: _nsk_aod_agentLoaded, symObjAddr: 0xA310, symBinAddr: 0x4E90, symSize: 0x270 }
  - { offsetInCU: 0xC8F8, offset: 0xC8F8, size: 0x8, addend: 0x0, symName: __ZN7JNIEnv_20CallStaticVoidMethodEP7_jclassP10_jmethodIDz, symObjAddr: 0xA580, symBinAddr: 0x5100, symSize: 0xB0 }
  - { offsetInCU: 0xC95F, offset: 0xC95F, size: 0x8, addend: 0x0, symName: _nsk_aod_agentFinished, symObjAddr: 0xA630, symBinAddr: 0x51B0, symSize: 0x1E0 }
  - { offsetInCU: 0xCB5D, offset: 0xCB5D, size: 0x8, addend: 0x0, symName: _nsk_jvmti_aod_getThreadName, symObjAddr: 0xAE70, symBinAddr: 0x5390, symSize: 0x180 }
  - { offsetInCU: 0xCD8B, offset: 0xCD8B, size: 0x8, addend: 0x0, symName: _threadStartHandler, symObjAddr: 0xBEE0, symBinAddr: 0x55C0, symSize: 0x640 }
  - { offsetInCU: 0xD4AB, offset: 0xD4AB, size: 0x8, addend: 0x0, symName: _Agent_OnAttach, symObjAddr: 0xC520, symBinAddr: 0x5C00, symSize: 0x310 }
  - { offsetInCU: 0xD884, offset: 0xD884, size: 0x8, addend: 0x0, symName: __ZL18agentThreadWrapperP9_jvmtiEnvP7JNIEnv_Pv, symObjAddr: 0xC830, symBinAddr: 0x5F10, symSize: 0x36A }
...
